Skip to main content
PUT
Update a memo

Authorizations

x-api-key
string
header
required
Authorization
string
header
required

Path Parameters

matterId
string
required
id
string
required

Body

title
string
required

The title of the memo.

Minimum string length: 1
Example:

"Update"

text
string
required

The text (content) of the memo.

Supports plain-text and RTF.

Example:

"There has been a recent update on this matter."

userId
string | null

Unique identifier of the user.

Example:

"b471682e-fa17-4e46-b7fe-9b2b8fdcb3c2"

createdDateUtc
string<date-time> | null

Date that the memo was created.

Will default to the current date and time, if not supplied.

Example:

"2022-07-01"

Response

When request is accepted. Returns a hypermedia 'Link' object of the memo to be updated.

id
string | null
href
string | null
relation
string | null
method
string | null
default:GET